Subject: Re: [PATCH 3/3] git --help COMMAND brings up the git-COMMAND man-page., take two

From: Andreas Ericsson <[email-masked]>
Date: Wed, 16 Nov 2005 07:56:43 +0100

H. Peter Anvin wrote:
> Andreas Ericsson wrote:
>> +
>> +    execlp("man", "man", page, NULL);
>> +}
>> +
> 
> 
> The way this made it into the actual tree was to call /usr/bin/man, but 
> still using execlp().  This is clearly bogus.  There *ARE* good reasons 
> to use PATH resolutions for this, since man is one of the interactive 
> commands the user may want to wrapper.
> 

Everyone agrees. I just brained the original implementation.

> So please drop PATH_TO_MAN that made it into the repository and revert 
> to the original patch.
> 

PATH_TO_MAN *was* the original. This is the updated version. I think 
Junio imported the wrong one by mistake, cause I sent this one 
specifically to fix the first one.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231